{#
Base pour la construction d'une partie de page de saisie des données d'une entité + grille
De cette base dérivent les formulaires de saisie avec grille : caisses_OngletPersonnes.html.twig, etc.
Pour les pages contenant un seul formulaire, voir pageEntityForm.html.twig
#}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.id }}</div>
{% endblock %}

{#Corps#}
{#MC 20200908 DEBUT#}
<div id = "formulaire_detail_{{ psNomTable }}" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 splite d-lg-flex" style="justify-items: center;">

    <div id="formulaire_detail_{{ psNomTable}}_table" class="LesChamps spliteA mr-0 pr-3">
        {#MC 20200908 FIN#}
        {% block preGrille %}{% endblock %}

        {% block Grille %}

            <div id="resize_wrapper" class="col-sm-12">

                <div id = "entityFormBaseGrille_DataTableInfos" class="d-flex justify-content-end align-items-end mb-2"></div>

                {#Boutons#}
                <div id="ctnBoutons_users_wrapper" class="col-sm-12">        
                    {% include '@Paa/Default/entityFormBoutons.html.twig' %}
                </div>

                <table id="entityFormBaseGrille_DataTable" class="display" cellspacing="0" width="100%" >

                    <thead>

                        <tr id="entityFormBaseGrille_DataTableTitres"> <!-- iTable_Form_titres -->

                            {% block datatable_title %}{% endblock %}

                        </tr>

                    </thead>

                    <tbody>

                        {% block datatable_body %}{% endblock %}

                    </tbody>

                </table>

            </div>

        </div>

    {% endblock %}

    {#Boutons
    <div id="ctnBoutons_users_wrapper" class="col-sm-12">        
        {% include '@Paa/Default/entityFormBoutons.html.twig' %}
    </div> DEPLACER PLUS HAUT EMMA 01/07/2020#}

    {#Formulaire de saisie de l'entité#}
    {% block postGrille %}
        <div class="spliteB" style="color:red">
            SI cette ce message est visible alors c'est qu'il manque dans votre fichier un postGrille comportant le formulaire de la grille et avec la class obligatoire pour le slider "spliteB"
        </div>
    {% endblock %}

</div>

<input type="submit" value="Désolé une erreur est survenue (cliquez ici pour la masquer)" id="bCacherFormulairError" method="Post" style="display: none">
<div id = "fFormulaireError"></div>
<div id = "fEntityForm_nomTable" style="display:none;">{{ psNomTable }}</div>
<div id = "fEntityForm_libelléTable" style="display:none;">{{ psLibelléTable }}</div>

<script>
    // Création du dataTable
    function entityFormBaseGrille_DocumentReady(psNomTableParente){
        // Définir l'objet de gestion combiné grille/boutons/entité                      
        var lsNomTable = "";
        var lsNomEntité = "";
        {# MG Modif 20200915 Début #}
        
{#		if (psNomTableParente !== "caisses" && psNomTableParente !== "intervenants" && psNomTableParente !== "compteurs" && psNomTableParente !== "usagers" && psNomTableParente !== "groupes") return ;#}
		if (psNomTableParente !== "caisses" && psNomTableParente !== "intervenants" && psNomTableParente !== "compteurs" && psNomTableParente !== "usagers" && psNomTableParente !== "groupes" && psNomTableParente !== "activites" ) return ;
{# MG Modif 20200915 Fin #}
        if(psNomTableParente === "caisses" ){
            lsNomTable = "caissesPersonnes" ;
            lsNomEntité = "Contacts de caisse" ;
        } else if (psNomTableParente === "intervenants") {
            lsNomTable = "intervenantsContrats";
            lsNomEntité = "Contrat d'intervenant";
{#        MC 20200910 DEBUT #}
        } else if (psNomTableParente === "compteurs") {
            lsNomTable = "compteursRegles";
            lsNomEntité = "Règles de compteurs";
        }
{#        MC 20200910 FIN#}
{#MC 20201911 DEBUT#}
{#LG 20200915 old        else if (psNomTableParente === "usagers"){#}
        else if (psNomTableParente === "usagers" 
                && $("#formulaire_OngletActif_" + psNomTableParente).val() == "OngletContacts"){
            lsNomTable = "referents";
            lsNomEntité = "Contact d'usagers" ;
        }
{#                MC 20200910 FIN#}
{#    MC 20200914 DEBUT#}
{#LG 20200915 old        else if (psNomTableParente === "usagers"){#}
        else if (psNomTableParente === "usagers" 
                && $("#formulaire_OngletActif_" + psNomTableParente).val() == "OngletGroupes"){
            lsNomTable = "usagersGroupes";
            lsNomEntité = "Groupes d'usagers"
        }
{#        MC 20200914 FIN#}
{#LG 20200915 début#}
        else if (psNomTableParente === "usagers") {
            // Cas anormal : on devrait être dans l'un des cas usagers ci-dessus
            console.warn("Cas d'onglet non prévu pour les usagers : " + $("#formulaire_OngletActif_" + psNomTableParente).val()) ;
        }
{#LG 20200915 fin#}
{#    MC 20200915 DEBUT#}
        else if (psNomTableParente === "groupes"){
{# LG 20200916 old           lsNomTable = "groupeUsagers";#}
            lsNomTable = "usagersGroupes";
            lsNomEntité = "Usagers par groupe"
        }
{#        MC 20200915 FIN#}
{# MG Ajout 20200915 Début #}
		 else if(psNomTableParente === "activites"){
            lsNomTable = "seances" ; 
            lsNomEntité = " séances de l'activité" ;
        } else {
            console.warn("Cas non prévu : psNomTableParente = " + psNomTableParente) ;
        }
{# MG Ajout 20200915 Fin #}

// debugger ;

        window.entityFormBaseGrille = newEntityFormGrille(lsNomTable);
        window.entityFormBaseGrille.onLGDataTableInitComplete = function (poLGDataTable) {
            // Placer les boutons
            window.entityFormBaseGrille.PlaceBoutons();
        }

        // Construire la datatable
        LGDataTable_initGrille("entityFormBaseGrille_DataTable", lsNomEntité, window.entityFormBaseGrille, window.entityFormBaseGrille.onLGDataTableInitComplete);
    }
    {% block scriptSplit %}
//MC 20200908 DEBUT
if(window.innerWidth > 992){
    Split(['.spliteA', '.spliteB'], {
        gutterSize: 5,
        sizes: [65, 35],
        minSize: [300, 350],
    })};
//MC 20200908
    {% endblock %}
</script>
